| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | List of all members
SqlDB::ODBCAccess Class Reference
ODQSql

Access to a connected ODBC Database. More...

`#include <sqldatabase.h>`

Inheritance diagram for SqlDB::ODBCAccess:
[legend]

## Public Member Functions
| ~ODBCAccess ()
| mDefaultFactoryInstantiation1Param (Access, ODBCAccess, const char *, "QODBC", toUiString("QODBC"))
Public Member Functions inherited from SqlDB::AccessImpl
| ~AccessImpl ()
void | close () override
bool | commit () override
BufferString | errMsg () const override
void | getColumnNames (const char *tablename, BufferStringSet &) const override
bool | isOK () const override
bool | isOpen () const override
QSqlDatabase * | qDataBase ()
Public Member Functions inherited from SqlDB::Access
virtual | ~Access ()
ConnectionData & | connectionData ()
const ConnectionData & | connectionData () const
const char * | dbType () const
| mOD_DisableCopy (Access)

## Private Member Functions
| ODBCAccess (const char *)
bool | open () override

## Additional Inherited Members
Protected Member Functions inherited from SqlDB::AccessImpl
| AccessImpl (const char *qtyp, const char *dbtype)
Protected Member Functions inherited from SqlDB::Access
| Access (const char *qtyp, const char *dbtype)
Protected Attributes inherited from SqlDB::Access
ConnectionData & | cd_
BufferString | dbtype_

## Detailed Description

Access to a connected ODBC Database.

Open Database Connectivity (ODBC)

<>

## Constructor & Destructor Documentation

## ◆ ~ODBCAccess()

SqlDB::ODBCAccess::~ODBCAccess | ( |  | ) |

## ◆ ODBCAccess()

SqlDB::ODBCAccess::ODBCAccess | ( | const char * |  | ) |
| private

## Member Function Documentation

## ◆ mDefaultFactoryInstantiation1Param()

SqlDB::ODBCAccess::mDefaultFactoryInstantiation1Param | ( | Access | ,
|  | ODBCAccess | ,
|  | const char * | ,
|  | "QODBC" | ,
|  | toUiString("QODBC") | )

## ◆ open()

bool SqlDB::ODBCAccess::open | ( |  | ) |
| override private virtual

Reimplemented from SqlDB::AccessImpl.

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025